::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21002
::must be <=65535

set d2x-beta-rev=2-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=8a42d7dc05a130a4adda205b55e5055c
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=bf1e77fc645c2da830d55224a1f47fd7
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=13cd8adf1b2c583680d8c9860472ef68
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=b02109a187317f37a6adc4552b9c0037
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=0c4fd52fb39363667fb1ca8683655710
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=b5cc9eaacc7cb83b48fc27dbf3f6a668
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=963e42703b0e8d1a30f2fb3baec9f689
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=ba9d581324339424cc65969f095110a1
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=1acfc7573af07b558b1611e138aab96d
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=62014248379ed4390014fdefe83779c0
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=b692ddcc046b23d73b287f19a48d7010
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=4b5a4f89bcd5f6fc46f85ae42d1b1b25
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=51077b4877986b5c4021ff9866b7c40b
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=a1cd3b2c4a0f0e23a0b294bc22b16ddb
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

